Bug 8283 - BT headset buttons not working
: BT headset buttons not working
Status: RESOLVED FIXED
Product: Panucci
General
: unspecified
: All Maemo
: Unspecified normal with 5 votes (vote)
: ---
Assigned To: Thomas Perl
: general
:
:
:
:
  Show dependency tree
 
Reported: 2010-01-19 19:29 UTC by Quim Gil
Modified: 2010-06-22 11:21 UTC (History)
1 user (show)

See Also:


Attachments
"dbus-monitor --session" while pressing buttons on BT headset (667 bytes, text/plain)
2010-02-04 14:41 UTC, Simex
Details
"dbus-monitor --system" while pressing buttons on BT headset (1.94 KB, text/plain)
2010-02-04 14:42 UTC, Simex
Details
dbus-monitor --system for Sony DTR-BT21g headphones. (23.53 KB, text/plain)
2010-02-04 19:59 UTC, Philip Trickett
Details
Patch to add support for BT command "stop-cd". (589 bytes, patch)
2010-06-22 11:21 UTC, Nick
Details


Note

You need to log in before you can comment on or make changes to this bug.


Description Quim Gil (reporter) nokia 2010-01-19 19:29:00 UTC
SOFTWARE VERSION:
(Settings > General > About product)

0.3-8thp0

EXACT STEPS LEADING TO PROBLEM: 
(Explain in detail what you do (e.g. tap on OK) and what you see (e.g. message
Connection Failed appears))
1. Use Panucci with BT headset e.g. Nokia BH-604

EXPECTED OUTCOME:
Play, Pause, Rew, FF buttons in headset work just like they do in Media Player.

ACTUAL OUTCOME:
None of them work, which is annoying because you need to pull the device from
your pocket e.g. to stop the music.

Volume keys work directly with the system. In the Media Player they activate
the volume control in the application.

REPRODUCIBILITY:
always
Comment 1 Thomas Perl 2010-01-19 19:43:16 UTC
Quim, can you send me the output of "dbus-monitor --system" and "dbus-monitor
--session" while pressing all the buttons on the BT headset? (Be sure to remove
all private information from the output log)
Comment 2 Thomas Perl 2010-01-19 19:44:11 UTC
(In reply to comment #1)
> while pressing all the buttons

To avoid confusion: One after the other, not all at the same time ;)
Comment 3 Thomas Perl 2010-01-25 02:43:32 UTC
(In reply to comment #1)
> Quim, can you send me the output of "dbus-monitor --system" and "dbus-monitor
> --session" while pressing all the buttons on the BT headset? (Be sure to remove
> all private information from the output log)

(In reply to comment #2)
> To avoid confusion: One after the other, not all at the same time ;)

Did you have time to test the BT headset buttons and create the D-Bus log file
already?
Comment 4 Simex 2010-02-03 16:08:41 UTC
(In reply to comment #3)
> (In reply to comment #1)
> > Quim, can you send me the output of "dbus-monitor --system" and "dbus-monitor
> > --session" while pressing all the buttons on the BT headset? (Be sure to remove
> > all private information from the output log)
> 
> (In reply to comment #2)
> > To avoid confusion: One after the other, not all at the same time ;)
> 
> Did you have time to test the BT headset buttons and create the D-Bus log file
> already?
> 

Did you still need the D-Bus log files? And if so, would it matter if they are
non-Nokia Bluetooth headphones? (They still control normal Media Player just
fine...)
Comment 5 Thomas Perl 2010-02-04 14:22:31 UTC
(In reply to comment #4)
> Did you still need the D-Bus log files? And if so, would it matter if they are
> non-Nokia Bluetooth headphones? (They still control normal Media Player just
> fine...)

Yes, please. I guess non-Nokia headphones are just as good, if they do control
the Media Player.
Comment 6 Simex 2010-02-04 14:41:46 UTC
Created an attachment (id=2212) [details]
"dbus-monitor --session" while pressing buttons on BT headset

Pressed the buttons in the following order: Play/Pause, Next, Previous
Comment 7 Simex 2010-02-04 14:42:45 UTC
Created an attachment (id=2213) [details]
"dbus-monitor --system" while pressing buttons on BT headset

Pressed buttons in following order: Play/Pause, Previous, Next
Comment 8 Simex 2010-02-04 14:45:35 UTC
(In reply to comment #7)
> Created an attachment (id=2213) [details] [details]
> "dbus-monitor --system" while pressing buttons on BT headset
> 
> Pressed buttons in following order: Play/Pause, Previous, Next
> 

My headset has "Play/Pause", "Previous Track" and "Next Track" buttons. These
work exactly as marked in the standard media player.

Having a quick look in the logs, it seems that the "--system" one has some
interesting events....
Comment 9 Thomas Perl 2010-02-04 18:22:59 UTC
(In reply to comment #7)
> Created an attachment (id=2213) [details] [details]
> "dbus-monitor --system" while pressing buttons on BT headset
> 
> Pressed buttons in following order: Play/Pause, Previous, Next

Yes, that's exactly what I needed - thanks :)
Comment 10 Philip Trickett 2010-02-04 19:59:34 UTC
Created an attachment (id=2215) [details]
dbus-monitor --system for Sony DTR-BT21g headphones.

 Button press order: Pause / Play, forward, Back.

Work as expected in media player, but not when other apps are in foreground or
on 'desktop'
Comment 11 Thomas Perl 2010-02-04 20:34:53 UTC
Ok, so in summary that's what happens on the system bus:

The object at path

  /org/freedesktop/Hal/devices/computer_logicaldev_input_1

and interface

  org.freedesktop.Hal.Device

sends a signal

  Condition

with two parameters, the first being "ButtonPressed" and the second being one
of:

  play-cd
  pause-cd
  next-song
  previous-song

Philipp and Simex: Does your headset have separate buttons for play and pause
or just one?
Comment 12 Simex 2010-02-05 08:17:42 UTC
(In reply to comment #11)
> Ok, so in summary that's what happens on the system bus:
> 
> The object at path
> 
>   /org/freedesktop/Hal/devices/computer_logicaldev_input_1
> 
> and interface
> 
>   org.freedesktop.Hal.Device
> 
> sends a signal
> 
>   Condition
> 
> with two parameters, the first being "ButtonPressed" and the second being one
> of:
> 
>   play-cd
>   pause-cd
>   next-song
>   previous-song
> 
> Philipp and Simex: Does your headset have separate buttons for play and pause
> or just one?
> 

Mine have a combination play/pause button. I think it's pretty common for BT
headsets to have a single button that toggles it.
Comment 13 Jon Shipman 2010-03-03 17:58:28 UTC
I'm encountering this as well, Jawbone 2 is the culprit
Comment 14 Thomas Perl 2010-04-11 15:49:36 UTC
Will be fixed in Panucci 0.9.10, although I don't have a Bluetooth headset with
buttons, so I need to rely on you guys to test this when 0.3.10 hits the
repositories.
Comment 15 Thomas Perl 2010-04-11 15:49:56 UTC
(In reply to comment #14)
> Will be fixed in Panucci 0.9.10

That should be "0.3.10".
Comment 16 Simex 2010-04-13 06:55:34 UTC
(In reply to comment #15)
> (In reply to comment #14)
> > Will be fixed in Panucci 0.9.10
> 
Yep, working. Many thanks! :-)
Comment 17 Nick 2010-06-22 11:21:02 UTC
Created an attachment (id=2911) [details]
Patch to add support for BT command "stop-cd".

Hi,

I downloaded panucci_0.3.17_all.deb from extras-testing and noticed that it
didn't support the Bluetooth AVRCP command "stop-cd", which was generated by a
couple of my devices. I've made a modification so this command also pauses the
current track.

I tried to work out which git tag/ branch I should make a patch against, but
failed miserably (have only worked with cvs & svn until now).

I've uploaded the patch I made (by just using diff) here, hope that's ok.

Cheers,

Nick